// ScannerDemoDlg.h : header file
//

#pragma once

// CScannerDemoDlg dialog
class CScannerDemoDlg : public CDialog
{
// Construction
public:
	CScannerDemoDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_SCANNERDEMO_DIALOG };


	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

// Implementation
protected:
	HICON m_hIcon;
	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()

	// Generated message map functions
	//virtual BOOL OnInitDialog();
	CEdit m_ctrInfo;
	CEdit m_version;
	CComboBox m_mode;
	int m_nSymbolTotalCount;
	CComboBox m_port;
	CListBox m_symbolActive;
	CListBox m_symbolUnactive;
	CButton m_checkSymbol;

	void EnableCtrlWindow(BOOL bEnable);
	void UpdateSymbolIdentifier();
	void InitScrollInfo();  
	void ShowErrMsg(int error);
	RECT m_rcOriginalRect;

	afx_msg void OnBnClickedButtonConnectScanner();
	afx_msg void OnBnClickedButtonApply();
	afx_msg void OnBnClickedButtonFactoryDefault();
	afx_msg void OnBnClickedButtonBeepEnable();
	afx_msg void OnBnClickedButtonBeepDisable();
	afx_msg void OnBnClickedButtonDoTrigger();
	afx_msg void OnBnClickedButtonUndoTrigger();

	afx_msg void OnBnClickedButtonAddSymbol();
	afx_msg void OnBnClickedButtonRemoveSymbol();
	afx_msg void OnBnClickedCheckDisaleAllSymbol();

public:
	void AddOutputInfo(CString info);

	afx_msg void OnDestroy();
#if defined(_DEVICE_RESOLUTION_AWARE) && !defined(WIN32_PLATFORM_WFSP)
	afx_msg void OnSize(UINT /*nType*/, int /*cx*/, int /*cy*/);
#endif
	
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
};
